package com.sinosig.core.module.dao;

import com.sinosig.core.module.filter.SYXXXSearchContext;
import com.sinosig.core.module.dao.po.ISYXXXTable;
import java.util.List;
import java.util.Map;

/**
 * 关系型数据实体表[Table]DAO对象
 */
public interface ISYXXXTableDAO {

    ISYXXXTable createSyxxxTable();

    boolean create(ISYXXXTable et);

    ISYXXXTable get(String syxxxid);

    ISYXXXTable get(ISYXXXTable et);

    boolean remove(String syxxxid);

    boolean update(ISYXXXTable et);


    List<ISYXXXTable> searchDefault(SYXXXSearchContext context);
}
